Page 1 of 2 12 LastLast
Results 1 to 10 of 65

Thread: GIMP 2.6 release on FTP

Hybrid View

  1. #1
    Join Date
    Jun 2006
    Location
    UK
    Beans
    572

    Smile GIMP 2.6 release on FTP - Updated

    GIMP approaches the next stable release and only a handful bugs are left to be fixed before GIMP 2.6 is ready.2008-09-17
    ftp://ftp.gimp.org/pub/gimp/v2.6/

    2.6 here already, great news

    If you want to compile manually I can show you how so just ask.

    Building GIMP from Source

    Firstly sudo apt-get install build-essential

    Latest babl ftp://ftp.gtk.org/pub/babl/ <--Install first
    Latest GEGL ftp://ftp.gimp.org/pub/gegl/

    Both of these should be ./configure --prefix=/usr

    Then the following packages(some I have forgot, sorry but GIMP configure will tell you )

    libgtk-dev
    xserver-xorg-dev
    python-2.5-dev
    intltool
    libgnomeui-dev

    Remove your GIMP2.4 packages and run ./configure --prefix=/usr then make then sudo make install in your GIMP-2.6.0 directory. Run make clean to clean your directory after. Good luck
    Last edited by Half-Left; October 3rd, 2008 at 12:34 PM. Reason: compiling instructions

  2. #2
    Join Date
    Apr 2007
    Location
    Hartford City, Indiana US
    Beans
    1,299
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: GIMP 2.6 release on FTP

    Hopefully this will make it into getdeb.net along with it's dependencies.

  3. #3
    Join Date
    Feb 2008
    Beans
    44

    Re: GIMP 2.6 release on FTP

    checking getdeb every 2min hehe.. can't wait to get it!

  4. #4
    Join Date
    Jul 2008
    Beans
    15
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Re: GIMP 2.6 release on FTP

    Yes please! How to do a manual install!!!

    Ubuntu 8.04 amd64.

  5. #5
    Join Date
    Apr 2006
    Beans
    6
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: GIMP 2.6 release on FTP

    Ubuntu 8.04 i686.

    babl-0.0.22 compile successful.
    Cannot compile GEGL:
    Code:
    ./clones.xml
    /home/nekoyasha/Downloads/gegl-0.0.18/bin/.libs/lt-gegl: error while loading shared libraries: libbabl-0.0.so.0: cannot open shared object file: No such file or directory
    BABL was installed to /usr/local/lib/.

  6. #6
    Join Date
    Sep 2005
    Beans
    3

    Re: GIMP 2.6 release on FTP

    Well I have absolutely the same problem as Kakurady ...

  7. #7
    Join Date
    May 2005
    Beans
    256

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by Kakurady View Post
    Ubuntu 8.04 i686.

    babl-0.0.22 compile successful.
    Cannot compile GEGL:
    Code:
    ./clones.xml
    /home/nekoyasha/Downloads/gegl-0.0.18/bin/.libs/lt-gegl: error while loading shared libraries: libbabl-0.0.so.0: cannot open shared object file: No such file or directory
    BABL was installed to /usr/local/lib/.
    you have to run ldconfig after you install babl (and gegl or any shared object, for that manner) manually.

    Code:
    sudo ldconfig

  8. #8
    Join Date
    Mar 2008
    Beans
    52
    Distro
    Ubuntu Development Release

    Re: GIMP 2.6 release on FTP

    YEA!!! I installed it and it works!!!

  9. #9
    Join Date
    Feb 2007
    Location
    Houston, TX
    Beans
    46

    Re: GIMP 2.6 release on FTP

    Quote Originally Posted by scpatl4now View Post
    YEA!!! I installed it and it works!!!
    did you install the one posted by binbash?

    http://ftp1.srv.endpoint.nu/pub/soft...tdeb1_i386.deb

    or the one from getdeb?

  10. #10
    Join Date
    Oct 2006
    Location
    Canada
    Beans
    12
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: GIMP 2.6 release on FTP

    I have just tried the getdeb install, last night with the 2.6.2 release and today the 2.6.3 release. I get the same error when I try to load libgimp2.0. The package installer says "Error: Dependency is not satisfiable: libgtk2.0-0". I've done a check and apt-get install -f and generally pounded away at apt thinking I had corrupt tree. I've checked with dpkg and yep I do have libgtk2.0-0 installed and all is well. I can reload the ubuntu Gimp 2.4.5 version and all works. The newer gimp-data loads from the getdeb site but not the newer libgimp2.0. Any ideas?

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •